# Supplementary material for LHCb-PAPER-2017-044

This folder contains additional material for distribution alongside 
LHCb-PAPER-2017-044, a publication by the LHCb collaboration on the search for 
CP violation in charm baryon decays.

It contains three items, other than this README, each being a JSON 
representation of a weighting histogram. Each `.json` file contains an object 
with two keys

1. `binning`: The list of `N` bin edges of this histogram; and
2. `weights`: The list of `N - 1` bin contents, to be taken as weights.

Each file represents one dimension of the five-dimensional Lambda_c to ph-h+ 
phase space:

1. `Lc_p_h1_M-weighting.json`: The invariant mass of the proton + pi-minus 
   pair;
2. `Lc_h1_h2_M-weighting.json`: The invariant mass of the pi-minus + pi-plus 
   pair;
3. `Lc_phsp_p_phi-weighting.json`: The angle between the projection of the 
   proton momentum vector on the xy-plane and the x-axis in the Lambda_c rest 
   frame.

The Lambda_c rest frame is defined according to Ref. [11] in the paper, where 
the z-axis of the right-handed coordinate system is the polarisation axis 
(equal to the cross product of the Lambda_b and Lambda_c flight direction 
vectors as measured in the laboratory frame) and the x-axis is along the 
direction of the Lambda_c flight vector as measured in the laboratory frame.

To use these files to weight a Lambda_c candidate, bin the candidate in each 
dimension in turn and record the three weights. The total weight is then then 
product of these three weights. Applying the total weight will mimic the effect 
of the kinematic weighting applied in the LHCb analysis, which distorts the 
Lambda_c phase space in the three dimensions provided. The other two dimensions 
are unaffected by the weighting, and the correlations between dimensions is 
negligible as the phase space variables are independent.
